<template>
  <table class="table">
    <thead>
      <tr>
        <th class="text-center">Date (MM/DD/YY)</th>
        <th class="text-center">Cases</th>
        <th class="text-center">Deaths</th>
        <th class="text-center">Recovered</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>
          <div v-for="(value, index) in data.cases" :key="index">
            <p class="text-center">{{ value.date }}</p>
          </div>
        </td>
        <td>
          <div v-for="(value, index) in data.cases" :key="index">
            <p class="text-center">{{ value.cases }}</p>
          </div>
        </td>
        <td>
          <div v-for="(value, index) in data.deaths" :key="index">
            <p class="text-center">{{ value.deaths }}</p>
          </div>
        </td>
        <td>
          <div v-for="(value, index) in data.recovered" :key="index">
            <p class="text-center">{{ value.recovered }}</p>
          </div>
        </td>
      </tr>
    </tbody>
  </table>
</template>

<script>
export default {
  name: "Table",
  props: { data: [] },
  computed: {},
  watch: {},
};
</script>
<style scoped>
td,
th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}
.maxW {
  padding-top: 5rem;
  max-width: 1200px;
  margin: auto;
}
</style>
